commit:     52b5e66fe7b76074fa478df0e93a75f7557e7dc5
Author:     Thomas D <whissi <AT> whissi <DOT> de>
AuthorDate: Tue Mar 15 23:18:04 2016 +0000
Commit:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Wed Mar 16 06:46:16 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=52b5e66f

dev-libs/liblognorm: Bumped to v1.1.3

Package-Manager: portage-2.2.28
Closes: https://github.com/gentoo/gentoo/pull/1066

 dev-libs/liblognorm/Manifest                |  1 +
 dev-libs/liblognorm/liblognorm-1.1.3.ebuild | 75 +++++++++++++++++++++++++++++
 dev-libs/liblognorm/metadata.xml            | 30 ++++++++----
 3 files changed, 96 insertions(+), 10 deletions(-)

diff --git a/dev-libs/liblognorm/Manifest b/dev-libs/liblognorm/Manifest
index b587f9d..a310e5d 100644
--- a/dev-libs/liblognorm/Manifest
+++ b/dev-libs/liblognorm/Manifest
@@ -2,3 +2,4 @@ DIST liblognorm-0.3.6.tar.gz 345483 SHA256 
e2cf27027905c7be91c891b5ac9304a88a5c1
 DIST liblognorm-0.3.7.tar.gz 346903 SHA256 
b000ab7aab9ed3d7a2c23303463b5bcceb7bb6538714bd41248d02913a82e223 SHA512 
f7dac7b913d61cc86bf55d0278ae96055e5336ba304fefb3abf4604976f1713ad5e6bba983a1d29b71cac987e9587e5310454e9ae9e07c3f332cd2ce329c9164
 WHIRLPOOL 
521ea13c8311fa9411bfc026b7a6118e8a34dafcdc298b9ff8115c555bf7614f7afb3f49f806b9bbbc377f97e9d95402261f515b7cd55dcd9f45c40c89d1ad38
 DIST liblognorm-1.1.0.tar.gz 499355 SHA256 
2ddff2ee893c9268e19868f19dc4d8037e3d266c0d001436c33c9429fcbb3030 SHA512 
f694d47c8e60871f0f3ce1fe8092b2596850beea618760c289d9cec6068fb8e8e260f4abb3faf20b931864d91ed18f640c65235fd693f6c67ce232fa11006107
 WHIRLPOOL 
b03347d89e86d858d98a2237b6319f1646c995b5a725b486a9288de9a1cfc243b826c822a22f9e5a2a6f3c13c68a2e408ee8d5a68f2c361aeb40bc1b7d8af644
 DIST liblognorm-1.1.2.tar.gz 547224 SHA256 
935a112fb5310877aaa5046ac8bd2ec7d0e9fed03e2fffccb84b6f93b92a536c SHA512 
d0dc206ac2f34174ec1a7e05ae4f84520ae67f49b5540bf9b957378418d6e32384fddd40aaa26dfbdec868a6e7d7a0b677af5201dcbf4f0d4b177934a260ff00
 WHIRLPOOL 
616fb1b951139576579389141253651b79dd215e742b14b0add81341c2cbeed5411544cf3c92221b4d3f4b459e51d55e59dd789b2cc3ad6fe19afb61ec02d0b6
+DIST liblognorm-1.1.3.tar.gz 553372 SHA256 
8e370460a152057abc577d59acbe60b7846312897e56f8f9d3e74edf9c621951 SHA512 
09c6ab434fcdd788df84341aaf426c51385a8f3cc9960f07b77e369c22b3a1b8d890ba8d4d0507928b235d2667ed7f7a2c935eed8214d698117c8cfecba75d5f
 WHIRLPOOL 
00d86afa82a12145de8165141f44af9913826ddffe0515d4655103f89bb69285cd8ce88fdec31af23214e599b7ac7f572c29d0a829ab0e07f63f45860c936aa7

diff --git a/dev-libs/liblognorm/liblognorm-1.1.3.ebuild 
b/dev-libs/liblognorm/liblognorm-1.1.3.ebuild
new file mode 100644
index 0000000..b24dfee
--- /dev/null
+++ b/dev-libs/liblognorm/liblognorm-1.1.3.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="Fast samples-based log normalization library"
+HOMEPAGE="http://www.liblognorm.com";
+
+if [[ ${PV} == "9999" ]]; then
+       EGIT_REPO_URI="
+               git://github.com/rsyslog/${PN}.git
+               https://github.com/rsyslog/${PN}.git
+       "
+
+       inherit git-r3
+else
+       SRC_URI="http://www.liblognorm.com/files/download/${P}.tar.gz";
+       KEYWORDS="~amd64 ~arm ~hppa ~x86 ~amd64-linux"
+fi
+
+LICENSE="LGPL-2.1"
+SLOT="0/2"
+IUSE="debug doc static-libs test"
+
+RDEPEND="
+       >=dev-libs/libestr-0.1.3
+       || ( >=dev-libs/json-c-0.11:= >=dev-libs/libfastjson-0.99.2:= )
+"
+
+DEPEND="
+       ${RDEPEND}
+       virtual/pkgconfig
+       doc? ( >=dev-python/sphinx-1.2.2 )
+"
+
+DOCS=( ChangeLog )
+
+src_prepare() {
+       eapply -p0 "${FILESDIR}"/respect_CFLAGS.patch
+
+       default
+
+       eautoreconf
+}
+
+src_configure() {
+       # regexp disabled due to 
https://github.com/rsyslog/liblognorm/issues/143
+       local myeconfargs=(
+               $(use_enable doc docs)
+               $(use_enable test testbench)
+               $(use_enable debug)
+               $(use_enable static-libs static)
+               --disable-regexp
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_test() {
+       # When adding new tests via patches we have to make them executable
+       einfo "Adjusting permissions of test scripts ..."
+       find "${S}"/tests -type f -name '*.sh' \! -perm -111 -exec chmod a+x 
'{}' \; || \
+               die "Failed to adjust test scripts permission"
+
+       emake --jobs 1 check
+}
+
+src_install() {
+       default
+
+       find "${ED}"usr/lib* -name '*.la' -delete || die
+}

diff --git a/dev-libs/liblognorm/metadata.xml b/dev-libs/liblognorm/metadata.xml
index da3fbf6..f779ed5 100644
--- a/dev-libs/liblognorm/metadata.xml
+++ b/dev-libs/liblognorm/metadata.xml
@@ -1,14 +1,24 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-<maintainer type="person">
-       <email>andreis.vinograd...@gmail.com</email>
-</maintainer>
-<maintainer type="person">
-       <email>maksbo...@gentoo.org</email>
-</maintainer>
-<maintainer type="project">
-       <email>proxy-ma...@gentoo.org</email>
-       <name>Proxy Maintainers</name>
-</maintainer>
+       <maintainer type="person">
+               <email>andreis.vinograd...@gmail.com</email>
+               <name>Andreis Vinogradovs</name>
+       </maintainer>
+       <maintainer type="person">
+               <email>maksbo...@gentoo.org</email>
+               <name>Maxim Koltsov</name>
+       </maintainer>
+       <maintainer type="person">
+               <email>whi...@whissi.de</email>
+               <name>Thomas D. (Whissi)</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>proxy-ma...@gentoo.org</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
+       <upstream>
+               <bugs-to>https://github.com/rsyslog/liblognorm/issues</bugs-to>
+               <remote-id type="github">rsyslog/liblognorm</remote-id>
+       </upstream>
 </pkgmetadata>

Reply via email to